LogicalStorageVolume

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.storage
Interface LogicalStorageVolume

All Known Subinterfaces:
  MediaStorageVolume

    public interface LogicalStorageVolume

This interface represents a logical volume on a storage device. Each `StorageProxy` corresponding to a storage device may contain LogicalStorageVolumes. A logical volume is a construct for organizing files on a disk and corresponds to a directory subtree that is treated as a whole for some purposes.

Method Summary
`ExtendedFileAccessPermissions` | `getFileAccessPermissions()` Gets the file access permissions of the logical volume.
`String` | `getPath()` Gets the absolute path of the volume.
`StorageProxy` | `getStorageProxy()` Gets the `StorageProxy` the volume is a part of.
`void` | `setFileAccessPermissions(ExtendedFileAccessPermissions fap)` Sets the file access permissions of the volume.

Method Detail

### getPath

    String getPath()

  Gets the absolute path of the volume. This path must be unique across all LogicalStorageVolume instances regardless of the StorageProxy they are contained within.

  Returns:
    Absolute directory path of the volume.

### getStorageProxy

    StorageProxy getStorageProxy()

  Gets the `StorageProxy` the volume is a part of.

  Returns:
    Containing storage proxy.

### getFileAccessPermissions

    ExtendedFileAccessPermissions getFileAccessPermissions()

  Gets the file access permissions of the logical volume.

  Returns:
    File access permissions of the volume.

### setFileAccessPermissions

    void setFileAccessPermissions(ExtendedFileAccessPermissions fap)

  Sets the file access permissions of the volume.

  Parameters:
    `fap` - New file access permissions.
  Throws:
    `SecurityException` - if the caller is not the owner of the volume or does not have MonitorAppPermission("storage").

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD